Loading...
Searching...
No Matches
OgreStringInterface.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreStringConverter.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::ParamDictionary
| Class to hold a dictionary of parameters for a single class. More...
class | Ogre::ParameterDef
class | Ogre::SimpleParamCommand< _Class, Param, getter, setter >
| Generic ParamCommand implementation stores pointers to the class getter and setter functions. More...
class | Ogre::SimpleParamCommand< _Class, const String &, getter, setter >
| specialization for strings More...
class | Ogre::StringInterface
| Class defining the common interface which classes can use to present a reflection-style, self-defining parameter set to callers. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef std::map< String, ParamCommand * > | Ogre::ParamCommandMap
typedef std::map< String, ParamDictionary > | Ogre::ParamDictionaryMap
typedef std::vector< String > | Ogre::ParameterList

## Enumerations

enum | Ogre::ParameterType { Ogre::PT_BOOL , Ogre::PT_REAL , Ogre::PT_INT , Ogre::PT_UNSIGNED_INT , Ogre::PT_SHORT , Ogre::PT_UNSIGNED_SHORT , Ogre::PT_LONG , Ogre::PT_UNSIGNED_LONG , Ogre::PT_STRING , Ogre::PT_VECTOR3 , Ogre::PT_MATRIX3 , Ogre::PT_MATRIX4 , Ogre::PT_QUATERNION , Ogre::PT_COLOURVALUE }